Bug 171196 - fix news/nzbget 0.8.0 build with current OpenSSL
fix news/nzbget 0.8.0 build with current OpenSSL
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Pawel Pekala
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-31 08:50 UTC by freebsd
Modified: 2012-09-07 22:20 UTC (History)
1 user (show)

See Also:


Attachments
nzbget.patch (1.31 KB, patch)
2012-08-31 08:50 UTC, freebsd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description freebsd 2012-08-31 08:50:04 UTC
	nzbget-0.8.0 fails to compile with OpenSSL1.0 and later:

if c++ -DHAVE_CONFIG_H -I. -I. -I.    -I/usr/local/include -I/usr/local/include/libxml2 -I/usr/local/include  -I/usr/include -I/usr/local/include/sigc++-2.0 -I/usr/local/lib/sigc++-2.0/include  -I/usr/include -I/usr/include  -Os -O2 -pipe -march=pentium -mtune=pentium -fno-strict-aliasing -MT TLS.o -MD -MP -MF ".deps/TLS.Tpo" -c -o TLS.o TLS.cpp;  then mv -f ".deps/TLS.Tpo" ".deps/TLS.Po"; else rm -f ".deps/TLS.Tpo"; exit 1; fi
TLS.cpp: In function 'int tls_check_cert(tls_t*, const char*, int, char**)':
TLS.cpp:911: error: 'STACK' was not declared in this scope
TLS.cpp:911: error: 'subj_alt_names' was not declared in this scope
TLS.cpp:963: error: expected primary-expression before ')' token
TLS.cpp:963: error: expected `)' before 'X509_get_ext_d2i'
TLS.cpp:1564: error: expected `)' at end of input
TLS.cpp:1564: error: expected statement at end of input
TLS.cpp:1564: error: expected `}' at end of input
*** [TLS.o] Error code 1

Stop in /var/tmp/export/ports/news/nzbget/work/nzbget-0.8.0.
gmake: *** [all] Error 1
*** [do-build] Error code 1

Stop in /export/ports/news/nzbget.
*** [build] Error code 1

Stop in /export/ports/news/nzbget.

Fix: Apply attached patch.
	Obtained from: https://dev.openwrt.org/ticket/8893
How-To-Repeat: 	Build nzbget.
Comment 1 Edwin Groothuis freebsd_committer 2012-08-31 08:54:45 UTC
Maintainer of news/nzbget,

Please note that PR ports/171196 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/171196

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-08-31 08:54:47 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Toxic 2012-09-06 22:31:32 UTC
I approve this.

This patch has already been accepted upstream, but they haven't rolled 
out a stable release with it.  When the upstream vendor releases their 
next version, this patch should be removed.

-Jeff



On 8/31/12 12:54 AM, Edwin Groothuis wrote:
> Maintainer of news/nzbget,
>
> Please note that PR ports/171196 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>      http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/171196
>
Comment 4 Mark Linimon freebsd_committer 2012-09-06 23:31:56 UTC
State Changed
From-To: feedback->open

Approved by maintainer.  Note that patch has been submitted upstream as well.
Comment 5 Pawel Pekala freebsd_committer 2012-09-07 19:03:46 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 6 dfilter freebsd_committer 2012-09-07 22:11:41 UTC
Author: pawel
Date: Fri Sep  7 21:11:32 2012
New Revision: 303829
URL: http://svn.freebsd.org/changeset/ports/303829

Log:
  - Fix build with OpenSSL >= 1.0 [1]
  - Mark MAKE_JOBS_UNSAFE:
  
  ===>  Building for nzbget-0.8.0
  /usr/bin/make  all-am
  make: illegal option -- -
  usage: make [-BPSXeiknpqrstv] [-C directory] [-D variable]
          [-d flags] [-E variable] [-f makefile] [-I directory]
          [-j max_jobs] [-m directory] [-V variable]
          [variable=value] [target ...]
  
  PR:		ports/171196 [1]
  Submitted by:	freebsd@nagilum.org [1]
  Approved by:	maintainer

Added:
  head/news/nzbget/files/
  head/news/nzbget/files/patch-TLS.cpp   (contents, props changed)
Modified:
  head/news/nzbget/Makefile

Modified: head/news/nzbget/Makefile
==============================================================================
--- head/news/nzbget/Makefile	Fri Sep  7 21:00:54 2012	(r303828)
+++ head/news/nzbget/Makefile	Fri Sep  7 21:11:32 2012	(r303829)
@@ -21,6 +21,7 @@ LIB_DEPENDS=	xml2.5:${PORTSDIR}/textproc
 
 GNU_CONFIGURE=	yes
 CONFIGURE_ENV=	LOCALBASE="${LOCALBASE}"
+MAKE_JOBS_UNSAFE=yes
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	${PTHREAD_LIBS}
 CFLAGS+=	${PTHREAD_CFLAGS}

Added: head/news/nzbget/files/patch-TLS.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/news/nzbget/files/patch-TLS.cpp	Fri Sep  7 21:11:32 2012	(r303829)
@@ -0,0 +1,32 @@
+--- TLS.cpp.orig	2011-06-14 23:47:22.000000000 +0200
++++ TLS.cpp	2012-08-31 09:27:41.000000000 +0200
+@@ -908,7 +908,7 @@
+     char *buf;
+     int bufsize;
+     /* needed to get the DNS subjectAltNames: */
+-    STACK *subj_alt_names;
++    STACK_OF(GENERAL_NAME) *subj_alt_names;
+     int subj_alt_names_count;
+     GENERAL_NAME *subj_alt_name;
+     /* did we find a name matching hostname? */
+@@ -960,7 +960,7 @@
+     /* Try the DNS subjectAltNames. */
+     match_found = 0;
+     if ((subj_alt_names =
+-		(STACK*)X509_get_ext_d2i(x509cert, NID_subject_alt_name, NULL, NULL)))
++		(STACK_OF(GENERAL_NAME) *)X509_get_ext_d2i(x509cert, NID_subject_alt_name, NULL, NULL)))
+     {
+ 	subj_alt_names_count = sk_GENERAL_NAME_num(subj_alt_names);
+ 	for (i = 0; i < subj_alt_names_count; i++) 
+@@ -1105,7 +1105,11 @@
+ 
+ #ifdef HAVE_OPENSSL
+     
++    #if OPENSSL_VERSION_NUMBER >= 0x10000000L
++    const SSL_METHOD *ssl_method = NULL;
++    #else
+     SSL_METHOD *ssl_method = NULL;
++    #endif
+     
+     ssl_method = force_sslv3 ? SSLv3_client_method() : SSLv23_client_method();
+     if (!ssl_method)
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Pawel Pekala freebsd_committer 2012-09-07 22:12:14 UTC
State Changed
From-To: open->closed

Committed. Thanks!